% LUCAS GROWTH
% LucasGrowth.m
% Numerical Methods for Macroeconomists, by Jeremy Greenwood and Ricardo 
% Marto, Copywrite, Jeremy Greenwood

clc % Clear screen
clear all     % Clear memory

%% Parameters

beta = 0.95;  % Discount Factor
% Annual Growth Rate Vector
muvec = [1.0, 1.5, 2.0, 2.5, 3.0, 3.5, 4.0, 5.0, 6.0];   
muvec = muvec/100 + 1.0;             % Gross Growth Rate Vector
mubaseline = 3.0;                    % Baseline Annual Growth Rate 
mubaseline = mubaseline/100 + 1.0;   % Baseline Gross Growth Rate
% Equivalent Variation
epsilonEV  = exp( beta/(1-beta)*(log(muvec)-log(mubaseline)) ) - 1;
% Compensating Variation
epsilonCV = exp( beta/(1-beta)*(log(mubaseline)-log(muvec)) ) - 1;
disp('Table: Equivalent and Compensating Variations from Changing Growth')
GrowthRate = 100*(muvec-1)';
EV = 100*epsilonEV';
CV = 100*epsilonCV';

%% Table 

% Display the results in a table
T = table(GrowthRate, EV, CV);
disp(T)
disp('Note for Table: Numbers are Percentages')

%% Excel 

% Export the table to an EXCEL file
filename = 'LucasGrowth.xlsx';
writetable(T,filename)    